> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check model exists by slug

> Check if a model exists by its slug



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /storage/models/existsBySlug
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /storage/models/existsBySlug:
    get:
      tags:
        - Storage - Models
      summary: Check model exists by slug
      description: Check if a model exists by its slug
      parameters:
        - in: query
          name: slug
          schema:
            type: string
            title: Slug
            description: Model slug to check.
          required: true
          description: Model slug to check.
        - in: query
          name: datasetUuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: Dataset UUID
            description: Dataset identifier.
          required: true
          description: Dataset identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  exists:
                    type: boolean
                    title: Exists
                    description: Whether the model exists.
                required:
                  - exists
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````